com.smartgwt.client.widgets.drawing

## Class DrawLinePath

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.drawing.DrawItem
        - - com.smartgwt.client.widgets.drawing.DrawLinePath

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasClickHandlers, HasDragMoveHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseUpHandlers, HasMovedHandlers, HasResizedHandlers, HasShowContextMenuHandlers

      public class DrawLinePath
      extends DrawItem

  DrawItem subclass to render a connector between two points. If the points are aligned on one axis, this connector will draw as a straight line. If the points are offset on both axes and there is enough space, the connector will by default draw short horizontal segments from the start and end points, and a diagonal segment connecting the ends of these 'tail' segments. Connector style and orientation defaults may be changed through configuration.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawLinePath()`
    `DrawLinePath(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, DrawItem defaults)` Changes the defaults for DrawItem AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `Point` | `getCenter()` Get the center point of the line path.
    `ConnectorOrientation` | `getConnectorOrientation()` The ConnectorOrientation controlling the orientation and behavior of this line's tail segments.
    `ConnectorStyle` | `getConnectorStyle()` The ConnectorStyle controlling the presentation and behavior of this line's tail segments.
    `Point` | `getControlPoint1()` The point at which the leading tail segment joins the connecting center segment.
    `Point` | `getControlPoint2()` The point at which the trailing tail segment joins the connecting center segment.
    `ArrowStyle` | `getEndArrow()` Style of arrow head to draw at the end of the line or path.
    `int` | `getEndLeft()` Ending left coordinate of the line.
    `Point` | `getEndPoint()` End point of the line
    `int` | `getEndTop()` Ending top coordinate of the line.
    `KnobType[]` | `getKnobs()` Array of control knobs to display for this item.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()` Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `static DrawLinePath` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `boolean` | `getShowTitleLabelBackground()` If the `titleLabel` is showing, should the `titleLabelBackground` be created and placed behind the `titleLabel`?
    `int` | `getStartLeft()` Starting left coordinate of the line.
    `Point` | `getStartPoint()` Start point of the line
    `int` | `getStartTop()` Starting top coordinate of the line.
    `int` | `getTailSize()` Length of the horizontal/vertical "tail segments" between the start and end points of this DrawLinePath and the connecting center segment.
    `TitleRotationMode` | `getTitleRotationMode()` The mode in which the `titleLabel` (if shown) is rotated with this draw item.
    `void` | `moveBy(int left, int top)` Move both the start and end points of the line by a relative amount.
    `void` | `moveStartPointTo(java.lang.Integer left, java.lang.Integer top)` Moves the line path such that the `startPoint` ends up at the specified point.
    `void` | `setConnectorOrientation(ConnectorOrientation connectorOrientation)` The ConnectorOrientation controlling the orientation and behavior of this line's tail segments.
    `void` | `setConnectorStyle(ConnectorStyle connectorStyle)` The ConnectorStyle controlling the presentation and behavior of this line's tail segments.
    `void` | `setControlPoint1(Point controlPoint1)` The point at which the leading tail segment joins the connecting center segment.
    `void` | `setControlPoint2(Point controlPoint2)` The point at which the trailing tail segment joins the connecting center segment.
    `static void` | `setDefaultProperties(DrawLinePath drawLinePathProperties)` Class level method to set the default properties of this class.
    `void` | `setEndArrow(ArrowStyle endArrow)` Style of arrow head to draw at the end of the line or path.
    `void` | `setEndLeft(int endLeft)` Ending left coordinate of the line.
    `void` | `setEndPoint(Point endPoint)` End point of the line If this method is called after the component has been drawn/initialized: Update the endPoint
    `void` | `setEndTop(int endTop)` Ending top coordinate of the line.
    `void` | `setKnobs(KnobType... knobs)` Array of control knobs to display for this item.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.drawing.DrawLinePathLogicalStructure s)` Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `void` | `setShowTitleLabelBackground(boolean showTitleLabelBackground)` If the `titleLabel` is showing, should the `titleLabelBackground` be created and placed behind the `titleLabel`?
    `void` | `setStartLeft(int startLeft)` Starting left coordinate of the line.
    `void` | `setStartPoint(Point startPoint)` Start point of the line If this method is called after the component has been drawn/initialized: Update the startPoint
    `void` | `setStartTop(int startTop)` Starting top coordinate of the line.
    `void` | `setTailSize(int tailSize)` Length of the horizontal/vertical "tail segments" between the start and end points of this DrawLinePath and the connecting center segment.
    `void` | `setTitleRotationMode(TitleRotationMode titleRotationMode)` The mode in which the `titleLabel` (if shown) is rotated with this draw item.

    - ### Methods inherited from class com.smartgwt.client.widgets.drawing.DrawItem

      `addClickHandler, addDragMoveHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseUpHandler, addMovedHandler, addResizedHandler, addShowContextMenuHandler, bringToFront, computeAngle, computeAngleAsDouble, dragResizeMove, draw, erase, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getBoundingBox, getBoundingBoxAsDouble, getCanDrag, getCanHover, getCanvasAutoChild, getContextMenu, getCornerResizeKnob, getCursor, getDestroyed, getDestroying, getDragStartDistance, getDrawGroup, getDrawItemAutoChild, getDrawPane, getEditProxyConstructor, getEndKnob, getEventOpaque, getFillColor, getFillGradient, getFillGradientAsString, getFillOpacity, getFormItemAutoChild, getHoverDelay, getHoverHTML, getKeepInParentRect, getLineCap, getLineColor, getLineOpacity, getLinePattern, getLineWidth, getMoveKnob, getMoveKnobOffset, getMoveKnobPoint, getPageLeft, getPageTop, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getRef, getResizeBoundingBox, getResizeBoundingBoxAsDouble, getResizeKnobPoints, getResizeOutline, getResizeViaLocalTransformOnly, getRotation, getRotationAsDouble, getScale, getShadow, getShowHover, getShowResizeOutline, getSideResizeKnob, getStartArrow, getStartKnob, getSvgString, getTitle, getTitleLabel, getTitleLabelBackground, getTitleLabelPadding, getTranslate, getXShearFactor, getYShearFactor, getZIndex, hide, hideAllKnobs, hideKnobs, hideKnobs, hover, isInBounds, isPointInPath, moveTo, resizeBy, resizeTo, rotateBy, rotateTo, scaleBy, scaleTo, sendToBack, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setCanDrag, setCanHover, setCenterPoint, setContextMenu, setCursor, setDefaultProperties, setDragStartDistance, setDrawGroup, setDrawPane, setEditProxyConstructor, setEventOpaque, setFillColor, setFillGradient, setFillGradient, setFillOpacity, setHoverDelay, setKeepInParentRect, setKeepInParentRect, setLineCap, setLineColor, setLineOpacity, setLinePattern, setLineWidth, setLogicalStructure, setMoveKnobOffset, setMoveKnobPoint, setPrompt, setPropertyValue, setProportionalResizeModifiers, setProportionalResizing, setResizeKnobPoints, setResizeViaLocalTransformOnly, setRotation, setRotation, setScale, setShadow, setShapeData, setShowHover, setShowResizeOutline, setStartArrow, setTitle, setTitleLabelPadding, setTranslate, setXShearFactor, setYShearFactor, setZIndex, show, showAllKnobs, showKnobs, showKnobs, supportsEndArrow, supportsStartArrow`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, applyFactoryProperties, completeCreation, destroy, doAddHandler, doInit, doOnRender, equals, error, errorIfNotCreated, getAttribute, getAttributeAsDateArray, getAttributeAsFloatArray, getAttributeAsIntArray, getAttributeAsRecord, getAttributeAsStringArray, getById, getByJSObject, getClassName, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getScClassName, hasAutoAssignedID, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, onInit, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setHtmlElement, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, setVisible, setWidth, sinkBitlessEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### DrawLinePath

          public DrawLinePath()

    - #### DrawLinePath

          public DrawLinePath(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static DrawLinePath getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     DrawItem defaults)

      Changes the defaults for DrawItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - DrawItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `DrawItem`

    - #### setConnectorOrientation

          public void setConnectorOrientation(ConnectorOrientation connectorOrientation)
                                       throws java.lang.IllegalStateException

      The ConnectorOrientation controlling the orientation and behavior of this line's tail segments.
      Parameters:
        `connectorOrientation` - Default value is "auto"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getConnectorOrientation

          public ConnectorOrientation getConnectorOrientation()

      The ConnectorOrientation controlling the orientation and behavior of this line's tail segments.
      Returns:
        ConnectorOrientation

    - #### setConnectorStyle

          public void setConnectorStyle(ConnectorStyle connectorStyle)
                                 throws java.lang.IllegalStateException

      The ConnectorStyle controlling the presentation and behavior of this line's tail segments.
      Parameters:
        `connectorStyle` - Default value is "diagonal"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getConnectorStyle

          public ConnectorStyle getConnectorStyle()

      The ConnectorStyle controlling the presentation and behavior of this line's tail segments.
      Returns:
        ConnectorStyle

    - #### setControlPoint1

          public void setControlPoint1(Point controlPoint1)

      The point at which the leading tail segment joins the connecting center segment.
      If this method is called after the component has been drawn/initialized: Sets the coordinates of the controlPoint1 knob and by extension the coordinates of this DrawLinePath's leading tail segment.
      Parameters:
        `controlPoint1` - left coordinate for start point, in pixels. Default value is null

    - #### getControlPoint1

          public Point getControlPoint1()

      The point at which the leading tail segment joins the connecting center segment.
      Returns:
        Point

    - #### setControlPoint2

          public void setControlPoint2(Point controlPoint2)

      The point at which the trailing tail segment joins the connecting center segment. Has no effect on lines with right angle ConnectorStyles.
      If this method is called after the component has been drawn/initialized: Sets the coordinates of the controlPoint2 knob and by extension the coordinates of this DrawLinePath's trailing tail segment.
      Parameters:
        `controlPoint2` - left coordinate for start point, in pixels. Default value is null

    - #### getControlPoint2

          public Point getControlPoint2()

      The point at which the trailing tail segment joins the connecting center segment. Has no effect on lines with right angle ConnectorStyles.
      Returns:
        Point

    - #### setEndArrow

          public void setEndArrow(ArrowStyle endArrow)

      Style of arrow head to draw at the end of the line or path.
      Overrides:
        `setEndArrow` in class `DrawItem`
      Parameters:
        `endArrow` - Default value is "open", IRW
      See Also:
        Lines & Arrowheads Example

    - #### getEndArrow

          public ArrowStyle getEndArrow()

      Style of arrow head to draw at the end of the line or path.
      Overrides:
        `getEndArrow` in class `DrawItem`
      Returns:
        ArrowStyle
      See Also:
        Lines & Arrowheads Example

    - #### setEndLeft

          public void setEndLeft(int endLeft)
                          throws java.lang.IllegalStateException

      Ending left coordinate of the line. Overrides left coordinate of `endPoint` if both are set.
      Parameters:
        `endLeft` - Default value is 0 , IRW
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getEndLeft

          public int getEndLeft()

      Ending left coordinate of the line. Overrides left coordinate of `endPoint` if both are set.
      Returns:
        int

    - #### setEndPoint

          public void setEndPoint(Point endPoint)

      End point of the line
      If this method is called after the component has been drawn/initialized: Update the endPoint
      Parameters:
        `endPoint` - left coordinate for end point, in pixels. Default value is [100,100]

    - #### getEndPoint

          public Point getEndPoint()

      End point of the line
      Returns:
        Point

    - #### setEndTop

          public void setEndTop(int endTop)
                         throws java.lang.IllegalStateException

      Ending top coordinate of the line. Overrides top coordinate of `endPoint` if both are set.
      Parameters:
        `endTop` - Default value is 0 , IRW
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getEndTop

          public int getEndTop()

      Ending top coordinate of the line. Overrides top coordinate of `endPoint` if both are set.
      Returns:
        int

    - #### setKnobs

          public void setKnobs(KnobType... knobs)
                        throws java.lang.IllegalStateException

      Array of control knobs to display for this item. Each `KnobType` specified in this will turn on UI element(s) allowing the user to manipulate this DrawLinePath. To update the set of knobs at runtime use `DrawItem.showKnobs()` and `DrawItem.hideKnobs()`.

      DrawLinePath supports the `KnobType.STARTPOINT`, `KnobType.ENDPOINT`, `KnobType.CONTROLPOINT1`, and `KnobType.CONTROLPOINT2` knob types.

      Overrides:
        `setKnobs` in class `DrawItem`
      Parameters:
        `knobs` - Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `DrawItem.setKnobs(com.smartgwt.client.types.KnobType...)`

    - #### getKnobs

          public KnobType[] getKnobs()

      Array of control knobs to display for this item. Each `KnobType` specified in this will turn on UI element(s) allowing the user to manipulate this DrawLinePath. To update the set of knobs at runtime use `DrawItem.showKnobs()` and `DrawItem.hideKnobs()`.

      DrawLinePath supports the `KnobType.STARTPOINT`, `KnobType.ENDPOINT`, `KnobType.CONTROLPOINT1`, and `KnobType.CONTROLPOINT2` knob types.

      Overrides:
        `getKnobs` in class `DrawItem`
      Returns:
        KnobType...
      See Also:
        `DrawItem.getKnobs()`

    - #### setShowTitleLabelBackground

          public void setShowTitleLabelBackground(boolean showTitleLabelBackground)
                                           throws java.lang.IllegalStateException

      If the `titleLabel` is showing, should the `titleLabelBackground` be created and placed behind the `titleLabel`?

      This defaults to true for `DrawSector`s and shapes that are not commonly filled (e.g. `DrawLine`s).

      Note : This is an advanced setting

      Overrides:
        `setShowTitleLabelBackground` in class `DrawItem`
      Parameters:
        `showTitleLabelBackground` - Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getShowTitleLabelBackground

          public boolean getShowTitleLabelBackground()

      If the `titleLabel` is showing, should the `titleLabelBackground` be created and placed behind the `titleLabel`?

      This defaults to true for `DrawSector`s and shapes that are not commonly filled (e.g. `DrawLine`s).

      Overrides:
        `getShowTitleLabelBackground` in class `DrawItem`
      Returns:
        boolean

    - #### setStartLeft

          public void setStartLeft(int startLeft)
                            throws java.lang.IllegalStateException

      Starting left coordinate of the line. Overrides left coordinate of `startPoint` if both are set.
      Parameters:
        `startLeft` - Default value is 0 , IRW
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getStartLeft

          public int getStartLeft()

      Starting left coordinate of the line. Overrides left coordinate of `startPoint` if both are set.
      Returns:
        int

    - #### setStartPoint

          public void setStartPoint(Point startPoint)

      Start point of the line
      If this method is called after the component has been drawn/initialized: Update the startPoint
      Parameters:
        `startPoint` - left coordinate for start point, in pixels. Default value is [0,0]

    - #### getStartPoint

          public Point getStartPoint()

      Start point of the line
      Returns:
        Point

    - #### setStartTop

          public void setStartTop(int startTop)
                           throws java.lang.IllegalStateException

      Starting top coordinate of the line. Overrides top coordinate of `startPoint` if both are set.
      Parameters:
        `startTop` - Default value is 0 , IRW
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getStartTop

          public int getStartTop()

      Starting top coordinate of the line. Overrides top coordinate of `startPoint` if both are set.
      Returns:
        int

    - #### setTailSize

          public void setTailSize(int tailSize)
                           throws java.lang.IllegalStateException

      Length of the horizontal/vertical "tail segments" between the start and end points of this DrawLinePath and the connecting center segment.
      Parameters:
        `tailSize` - Default value is 30
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getTailSize

          public int getTailSize()

      Length of the horizontal/vertical "tail segments" between the start and end points of this DrawLinePath and the connecting center segment.
      Returns:
        int

    - #### setTitleRotationMode

          public void setTitleRotationMode(TitleRotationMode titleRotationMode)
                                    throws java.lang.IllegalStateException

      The mode in which the `titleLabel` (if shown) is rotated with this draw item.

      Note : This is an advanced setting

      Overrides:
        `setTitleRotationMode` in class `DrawItem`
      Parameters:
        `titleRotationMode` - Default value is "withLineAlwaysUp"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `DrawItem.setTitle(java.lang.String)`

    - #### getTitleRotationMode

          public TitleRotationMode getTitleRotationMode()

      The mode in which the `titleLabel` (if shown) is rotated with this draw item.
      Overrides:
        `getTitleRotationMode` in class `DrawItem`
      Returns:
        TitleRotationMode
      See Also:
        `DrawItem.getTitle()`

    - #### getCenter

          public Point getCenter()

      Get the center point of the line path.
      Overrides:
        `getCenter` in class `DrawItem`
      Returns:
        the center point

    - #### moveBy

          public void moveBy(int left,
                             int top)

      Move both the start and end points of the line by a relative amount.
      Overrides:
        `moveBy` in class `DrawItem`
      Parameters:
        `left` - change to left coordinate in pixels
        `top` - change to top coordinate in pixels

    - #### moveStartPointTo

          public void moveStartPointTo(java.lang.Integer left,
                                       java.lang.Integer top)

      Moves the line path such that the `startPoint` ends up at the specified point.
      Parameters:
        `left` - new left coordinate in pixels
        `top` - new top coordinate in pixels

    - #### setDefaultProperties

          public static void setDefaultProperties(DrawLinePath drawLinePathProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `drawLinePathProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.drawing.DrawLinePathLogicalStructure s)

      Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `DrawItem`